#!/bin/sh
awk '
{
	if ($1 == "FONT") {
		if (split($2, f, "-") != 15)
			exit(1)
		point_size = int(f[9] * 10 / 75 + 0.5) * 10
		average_width = int(f[13] * 100 / 75 + 0.5)
		printf("FONT %s-%s-%s-%s-%s-%s-%s-%s-%s-75-75-%s-%s-%s-%s\n",
			f[1], f[2], f[3], f[4], f[5], f[6], f[7], f[8],
			point_size, f[12], average_width, f[14], f[15])
	} else if ($1 == "SIZE") {
		print "SIZE", point_size / 10, 75, 75
	} else if ($1 == "POINT_SIZE") {
		print "POINT_SIZE", point_size
	} else if ($1 == "RESOLUTION_X") {
		print "RESOLUTION_X 75"
	} else if ($1 == "RESOLUTION_Y") {
		print "RESOLUTION_Y 75"
	} else if ($1 == "AVERAGE_WIDTH") {
		print "AVERAGE_WIDTH", average_width
	} else {
		print
	}
}'
